SDL_Point Struct Reference

`#include <SDL_rect.h>`

## Data Fields

int | x
int | y

## Detailed Description

# CategoryRect

Some helper functions for managing rectangles and 2D points, in both integer and floating point versions. The structure that defines a point (using integers).

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GetRectEnclosingPoints
  SDL_PointInRect

Definition at line 49 of file SDL_rect.h.

## Field Documentation

## x

int SDL_Point::x

Definition at line 51 of file SDL_rect.h.

Referenced by SDL_PointInRect().

## y

int SDL_Point::y

Definition at line 52 of file SDL_rect.h.

Referenced by SDL_PointInRect().

The documentation for this struct was generated from the following file:

- SDL_rect.h